# DaprProtos.EncryptRequestOptionsOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.EncryptRequestOptionsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.EncryptRequestOptions`, `DaprProtos.EncryptRequestOptions.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.EncryptRequestOptionsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getComponentName()` Name of the component.
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component.
`String` `getDataEncryptionCipher()` Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`com.google.protobuf.ByteString` `getDataEncryptionCipherBytes()` Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"
`String` `getDecryptionKeyName()` Key reference to embed in the encrypted document (name or name/version).
`com.google.protobuf.ByteString` `getDecryptionKeyNameBytes()` Key reference to embed in the encrypted document (name or name/version).
`String` `getKeyName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getKeyNameBytes()` Name (or name/version) of the key.
`String` `getKeyWrapAlgorithm()` Key wrapping algorithm to use.
`com.google.protobuf.ByteString` `getKeyWrapAlgorithmBytes()` Key wrapping algorithm to use.
`boolean` `getOmitDecryptionKeyName()` If true, the encrypted document does not contain a key reference.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getComponentName

    String getComponentName()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

#### getComponentNameBytes

    com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component. Required.

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

#### getKeyName

    String getKeyName()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Returns:
  The keyName.

#### getKeyNameBytes

    com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key. Required.

`string key_name = 2 [json_name = "keyName"];`

Returns:
  The bytes for keyName.

#### getKeyWrapAlgorithm

    String getKeyWrapAlgorithm()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Returns:
  The keyWrapAlgorithm.

#### getKeyWrapAlgorithmBytes

    com.google.protobuf.ByteString getKeyWrapAlgorithmBytes()

     Key wrapping algorithm to use. Required.
     Supported options include: A256KW (alias: AES), A128CBC, A192CBC, A256CBC, RSA-OAEP-256 (alias: RSA).

`string key_wrap_algorithm = 3;`

Returns:
  The bytes for keyWrapAlgorithm.

#### getDataEncryptionCipher

    String getDataEncryptionCipher()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Returns:
  The dataEncryptionCipher.

#### getDataEncryptionCipherBytes

    com.google.protobuf.ByteString getDataEncryptionCipherBytes()

     Cipher used to encrypt data (optional): "aes-gcm" (default) or "chacha20-poly1305"

`string data_encryption_cipher = 10;`

Returns:
  The bytes for dataEncryptionCipher.

#### getOmitDecryptionKeyName

    boolean getOmitDecryptionKeyName()

     If true, the encrypted document does not contain a key reference.
     In that case, calls to the Decrypt method must provide a key reference (name or name/version).
     Defaults to false.

`bool omit_decryption_key_name = 11 [json_name = "omitDecryptionKeyName"];`

Returns:
  The omitDecryptionKeyName.

#### getDecryptionKeyName

    String getDecryptionKeyName()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Returns:
  The decryptionKeyName.

#### getDecryptionKeyNameBytes

    com.google.protobuf.ByteString getDecryptionKeyNameBytes()

     Key reference to embed in the encrypted document (name or name/version).
     This is helpful if the reference of the key used to decrypt the document is different from the one used to encrypt it.
     If unset, uses the reference of the key used to encrypt the document (this is the default behavior).
     This option is ignored if omit_decryption_key_name is true.

`string decryption_key_name = 12 [json_name = "decryptionKeyName"];`

Returns:
  The bytes for decryptionKeyName.